import xml.etree.ElementTree as ET
import zipfile as zf

z = zf.ZipFile("toto.docx")
f = z.open("word/document.xml")   # a file-like object
tree = ET.parse(f)                # an ElementTree instance

for elem in tree.iter():
    print(elem)
